All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors
Class SelectorDialog

    com.sas.swing.visuals.dataselectors.SelectorDialog

All Implemented Interfaces:
  DataSelectorInterface, LayoutConstants, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    @SASScope(value="ALL")
    public class SelectorDialog

implements DataSelectorInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.OptionsDialog
`buttons, RB_KEY`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Constructor Summary
`SelectorDialog(java.awt.Frame parent, PanelInterface panel, boolean modal)` Creates a new `SelectorDialog` for the specified panel.
`SelectorDialog(java.awt.Frame f, PanelInterface panel, boolean modal, int buttons, int buttonLocation)` Creates a new `SelecotrDialog` for the specified panel.
`SelectorDialog(java.awt.Frame parent, java.lang.String title, boolean modal)` Creates a new selector dialog initialized with the specified title.
`SelectorDialog(java.awt.Frame f, java.lang.String title, boolean modal, int buttons, int buttonLocation)` Creates a new dialog initialized with the specified title and buttons.

Method Summary
`java.lang.Object` | `getSelectorModel()` Returns the model used for the selector, or null if there isn't a model yet.
`void` | `setSelectorModel(java.lang.Object model)` Sets the model used for the selector on the panel.

Methods inherited from class com.sas.swing.visuals.OptionsDialog
`actionPerformed, addButton, createButtons, getButton, getButtonLocation, getHelpID, getMainPanel, getPanel, onApply, onCancel, onClose, onHelp, onOK, processWindowEvent, setButtonLocation, setButtons, setHelpID, setPanel, setVisible, updateButtonsForPanel, wasCancelled`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible, setVisible`

Constructor Detail

### SelectorDialog

    public SelectorDialog(java.awt.Frame parent,
                          java.lang.String title,
                          boolean modal)

  Creates a new selector dialog initialized with the specified title. The new dialog will have the `default buttons` positioned in the `CommonButtons.SOUTH_EAST` location.

  This is an alias for:

          SelectorDialog(parent, title, modal, CommonButtons.OK_CANCEL_BUTTONS, CommonButtons.SOUTH_EAST)

  Parameters:
    `parent` - the parent frame of the new dialog
    `title` - the title of the dialog to display on the title bar
    `modal` - `true` for modal, `false` for non-modal

### SelectorDialog

    public SelectorDialog(java.awt.Frame f,
                          java.lang.String title,
                          boolean modal,
                          int buttons,
                          int buttonLocation)

  Creates a new dialog initialized with the specified title and buttons.

  Valid button identifiers and locations are any of those or a combination of those from `CommonButtons`.

  Parameters:
    `parent` - the parent frame of the new dialog
    `title` - the title of the dialog to display on the title bar
    `modal` - `true` for modal, `false` for non-modal
    `buttons` - the buttons to add to the dialog
    `buttonLocation` - the location to position the buttons on the dialog

### SelectorDialog

    public SelectorDialog(java.awt.Frame parent,
                          PanelInterface panel,
                          boolean modal)

  Creates a new `SelectorDialog` for the specified panel. The new dialog will have `ok and cancel` positioned in the `CommonButtons.SOUTH_EAST` location.

  This is an alias for:

          SelectorDialog(parent, panel, modal, CommonButtons.OK_CANCEL_BUTTONS, CommonButtons.SOUTH_EAST)

  Parameters:
    `parent` - the parent frame of the new dialog
    `panel` - the panel to display in the dialog
    `modal` - `true` for modal, `false` for non-modal

### SelectorDialog

    public SelectorDialog(java.awt.Frame f,
                          PanelInterface panel,
                          boolean modal,
                          int buttons,
                          int buttonLocation)

  Creates a new `SelecotrDialog` for the specified panel. This is a convenience for creating a new dialog and calling `setPanel()`.

  Parameters:
    `f` - the parent frame of the new dialog
    `panel` - the panel to display in the dialog
    `modal` - `true` for modal, `false` for non-modal

Method Detail

### setSelectorModel

    public void setSelectorModel(java.lang.Object model)

  Sets the model used for the selector on the panel. The panel set on the dialog must implement the DataSelectorInterface for the model to be set.

  Specified by:
    `setSelectorModel` in interface `DataSelectorInterface`
  Parameters:
    `model` - the new selector model to set on the panel
  See Also:
    `getSelectorModel()`

### getSelectorModel

    public java.lang.Object getSelectorModel()

  Returns the model used for the selector, or null if there isn't a model yet. The panel set on the dialog must implement the DataSelectorInterface for a selector model to be present.

  Specified by:
    `getSelectorModel` in interface `DataSelectorInterface`
  Returns:
    the selector model on the panel
  See Also:
    `setSelectorModel(Object)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.